potファイルがエラーと言われ…

 

どこかの海外の方のレビューから、「あなたのpotファイル、エラーあるからちゃんと調べて!」と言われたので、調べてみました。。

I tried to load your pot file with poedit but I get errors. There's something wrong.
Please can you check it!

エラーなんて。。見る限りは、ロード(多分開く)時点でエラーと書いています。

もしかして言語の違いで開かないのかなぁ。とちょっと予想してみたり。

 

さっそくダウンロードして開いてみた

結論。エラー(笑

なんてこったい。。とりあえず、直したい所ですが、どこがどうダメなんだろう。。

さて、どうやってしらべようかな。

 

有名どころのPOTファイルをダウンロードして比較してみる

ここは Contact Form 7 がいいかな。とりあえず、見てみよう。

開いてみると…「xxxx~カタログエラー~」。

ん?どういうこと?エラーが普通なのかな??

そもそも、POTファイルの使い方や編集の認識が違うのかな?

あ、待てよ。ドラッグして開くのはやめて、ちゃんと「ファイル」→「開く」でやってみようかな。

結果、

  • announce-from-the-dashboard.pot 開かない
  • wpcf7.pot 開く

そっか。ドラッグでの認識が違うんだね。確かにエラーが出ました。

エラー文は、

Failed to convert file "ファイルパス\announce-from-the-dashboard.pot" to Unicode.

おそらく、Unicodeへの変換が出来ません。的な感じかな。

でも、utf-8で編集しているはずだけど。。

 

でテキストエディタで開いて、下までドラッグしてみると…

msgid “red”
msgstr “”

msgid “yellow”
msgstr “”

msgid “metabox”
msgstr “メタボックス

なんだこれは(笑

これは、日本語じゃないですか!超凡ミス…..。

 

とりあえず、削除して編集し直し。。

で、開くかどうか試したら、、

だよね。やっぱり今はエラーも出ずに開くね。。

 

やっちまったなぁ~

とりあえず、指摘してくれた方に謝って新しいPOTファイルをダウンロードしてもらおう。

 

後は、他のPOTファイルも見てみようかな。

コメントを残す